<!DOCTYPE html>
	<html>
	<head>
		<title></title>
	</head>
	<body>
		Everything on global scope is gonna be available in function scope. but variables declared in function scope is not gonna work for global scope.
		Variables from Function is closed but variables from global is available everywhere.
	</body>
	<script type="text/javascript">
		const name= "Miona";
		const youtuber= "strictly dumpling";
		const vlogger= "mikey chen";
		function logger(){
			console.log('Party Time');
			console.log('Party Time');		//THIS IS SAVING/PUTTING IN MEMORY ONLY 
			//Function Scope
			console.log('Party Time');
			console.log('Party Time');
		};

		logger(); //THIS IS PRINTING IT OR RUNNING IT. (function invocation) 
			//Global Scope
		// function toUpper(text) {
		// 	const upperCased = text.toUpperCase();
		// 	console.log(upperCased);
		// }
		// toUpper(name);   //will upper case the name into MIONA

		function capitalLetter(text) {
			const capitalLettered = text.toUpperCase();
			console.log(capitalLettered);
		}
		capitalLetter(youtuber);

		function toLower(text) {
			const lowerCased = text.toLowerCase();
			console.log(lowerCased);
		}
		toLower(name);   //will lower case the name into MIONA

		function adder(num1, num2){
			console.log(num1 + num2);
		}
		adder(2, 5); //7 shows in console
		//grab food
		//eat food
		//dfdf

		//SHORT WAY OF WRITING FUNCTION

		
		const toUpper = (text) => {
			const upperCased = text.toUpperCase();
			console.log(upperCased);
		}
		toUpper(vlogger); 
	</script>
	</html>	